Bug 187140 - g-p-m notification icon is always displayed if kernel option acpi=off present
Summary: g-p-m notification icon is always displayed if kernel option acpi=off present
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-28 19:12 UTC by feily
Modified: 2013-03-13 04:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-17 19:33:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshal (79.04 KB, application/octet-stream)
2006-03-29 13:11 UTC, feily
no flags Details

Description feily 2006-03-28 19:12:52 UTC
Description of problem:
g-p-m notification icon is always displayed if kernel option acpi=off present

Version-Release number of selected component (if applicable):
gnome-power-manager-2.14.0-1

How reproducible:
always

Comment 1 Richard Hughes 2006-03-28 21:35:35 UTC
g-p-m should still work with APM legacy computers. What icon is displayed, does
it change, and what are you expecting?

Comment 2 feily 2006-03-29 06:09:32 UTC
The "running on AC power" icon is displayed.
It does never change.
I am expecting there is no icon displayed if acpi=off and no battery present.

Comment 3 Richard Hughes 2006-03-29 07:23:08 UTC
Have you set the icon policy to "always" in gnome-power-preferences? If not,
please attach the output from lshal, thanks.

Comment 4 feily 2006-03-29 13:10:16 UTC
I have not changend anything in gnome-power-preferences.

Comment 5 feily 2006-03-29 13:11:36 UTC
Created attachment 126979 [details]
lshal

Comment 6 Richard Hughes 2006-03-29 14:28:41 UTC
udi = '/org/freedesktop/Hal/devices/apm_battery'
  info.udi = '/org/freedesktop/Hal/devices/apm_battery'  (string)
  linux.hotplug_type = 5  (0x5)  (int)
  battery.present = false  (bool)
  info.capabilities = {'battery'} (string list)
  info.category = 'battery'  (string)
  battery.type = 'primary'  (string)
  info.product = 'Battery Bay'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  linux.apm_type = 0  (0x0)  (int)
  linux.apm_path = '/proc/apm'  (string)

So you have a battery bay, but the battery is missing. Odd. Does changing the
icon policy in g-p-p fix things for you?

Comment 7 feily 2006-03-29 16:43:43 UTC
Yes, changing to "Only display when battery present" makes the icon disappear.

It is a MSI W6390VMS V1.5 (102802 18:33:33) mainboard and it is a desktop system
with no battery and no battery bay.

Furthermore I need "acpi=off" otherwise anaconda hangs when asking for
mediacheck and on an installed system, there show up numerous errors and X
windows does not start. That wasn't the case in FC4.

Probably I should complain to MSI...

Comment 8 John (J5) Palmieri 2006-04-17 19:33:30 UTC
"Yes, changing to "Only display when battery present" makes the icon disappear."

Closing NOTABUG though perhaps in future revisions this should be the default.

Comment 9 Richard Hughes 2006-04-17 19:53:02 UTC
2006-04-17  Richard Hughes  <richard@hughsie.com>
 * data/gnome-power-manager.schemas.in: Set the default for
/apps/gnome-power-manager/display_icon_policy to "present" so we don't display
by default on desktops.



Note You need to log in before you can comment on or make changes to this bug.